using System.Collections;
using System.Collections.Generic;
using UnityEditor;
using UnityEngine;

[CreateAssetMenu(fileName = "TexturesSettings", menuName = "Create Textures Settings")]
public class TexturesSettings : ScriptableObject
{
    public int SizeQuad = 256;
    public Shader DepthShader;

    public static TexturesSettings Instance => instance;
    private static TexturesSettings instance;

    private void OnEnable()
    {
        if(instance == null) instance = this;
        else
        {
            DestroyImmediate(this);
        }
    }
}
